image: debian/bookworm
packages:
  - qtbase5-dev
  - qttools5-dev
  - cmake
  - clang
  - libcurl4-openssl-dev
  - wget
  - fuse
  - file
  - pkg-config
  # osxcross deps start
  - libxml2-dev
  - libssl-dev
  - lzma-dev
  - python3
  - xz-utils
  - bzip2
  - cpio
  - libbz2-1.0
  - zlib1g-dev
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
  - https://github.com/efa/osxcross # use fork until #409 is pulled
environment:
  BUILD_SUBMITTER: hg.sr.ht
  MACOSX_DEPLOYMENT_TARGET: 10.9
  UNATTENDED: 1
tasks:
  - build: |
      # set up osxcross
      cd osxcross/tarballs
      wget "https://github.com/phracker/MacOSX-SDKs/releases/download/11.3/MacOSX10.9.sdk.tar.xz"
      cd ..
      export TARGET_DIR="$PWD/target"
      ./build.sh
      export PATH="$TARGET_DIR/bin:$PATH"
      cd ..

      # deps
      osxcross-macports install qt5-qtbase qt5-qttools

      # actually build the damn thing
      CC="o64-clang" CXX="o64-clang++" CXXFLAGS="-stdlib=libc++" cmake .. -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_COMPILER= -DCMAKE_CXX_COMPILER=o64-clang++
      make
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
